<?php
/***************************************************************************
 *                              page_tail.php
 *                            -------------------
 *   begin                : Saturday, Feb 13, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: page_tail.php,v 1.27.2.2 2002/11/26 11:42:12 psotfx Exp $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

if ( !defined('IN_PHPBB') )
{
	die('Hacking attempt');
}
global $do_gzip_compress;



//
// Show the overall footer.
//

// We request you retain the full copyright notice below including the link to www.amigalink.de.
// This not only gives respect to the large amount of time given freely by the developers
// but also helps build interest, traffic and use the works done by AmigaLink.
// If you refuse to include even this then support on our forums may be affected!

$cps_status = ($board_config['enable_post_cache']) ? 'Cache Posts System &copy; 2006 <a href="http://www.amigalink.de/" target="_AmigaLink" class="copyright">AmigaLink</a><br />' : ''; // Cache Posts

if ( $userdata['user_level'] == ADMIN )
{
$admin_link = ( $userdata['user_level'] == ADMIN ) ? '<a href="admin/index.' . $phpEx . '?sid=' . $userdata['session_id'] . '">' . $lang['Admin_panel'] . '</a><br /><br />' : '';
}
else if ( $userdata['user_level'] == LESS_ADMIN )
{
        $admin_link = '<a href="' . append_sid("super_mod/index.$phpEx") . '">' . $lang['Super_Mod_panel'] . '</a><br /><br />';
}

$template->set_filenames(array(
	'overall_footer' => ( empty($gen_simple_header) ) ? 'overall_footer.tpl' : 'simple_footer.tpl')
);
include_once($phpbb_root_path . 'ctracker/engines/ct_footer.' . $phpEx);
$output_login_status = ($userdata['ct_enable_ip_warn'])? $lang['ctracker_ma_on'] : $lang['ctracker_ma_off'];

	$gzip_text = ($board_config['gzip_compress']) ? 'GZIP enabled' : 'GZIP disabled';
	$debug_text = (DEBUG == 1) ? 'Debug on' : 'Debug off';
	$excuted_queries = $db->num_queries;
	$mtime = microtime();
	$mtime = explode(" ",$mtime);
	$mtime = $mtime[1] + $mtime[0];
	$endtime = $mtime;
	$gentime = round(($endtime - $starttime), 4);
	$sql_time = round($db->sql_time, 4);
	$sql_part = round($sql_time / $gentime * 100);
	$php_part = 100 - $sql_part;
	$page_gen_info = '<br /><div style="font-family: Verdana; font-size: 10px; color: #000000; letter-spacing: 1px" align="center">[ Page generation time: '. $gentime .'s (PHP: '. $php_part .'% - SQL: '. $sql_part .'%) | SQL queries: '. $excuted_queries .' | '. $gzip_text .' | '. $debug_text . ' ]</div>';

$template->assign_vars(array(
  'CPS_STATUS' => $cps_status,
	'TRANSLATION_INFO' => (isset($lang['TRANSLATION_INFO'])) ? $lang['TRANSLATION_INFO'] : ((isset($lang['TRANSLATION'])) ? $lang['TRANSLATION'] : ''),
  'L_PAGE_GEN_INFO' => $page_gen_info,
	'CRACKER_TRACKER_FOOTER' => create_footer_layout($ctracker_config->settings['footer_layout']),
	'L_STATUS_LOGIN' => ($ctracker_config->settings['login_ip_check'])? sprintf($lang['ctracker_ipwarn_info'], $output_login_status) : '',
	'ADMIN_LINK' => $admin_link)
);

$template->pparse('overall_footer');

//
// Close our DB connection.
//
$db->sql_close();

//
// Compress buffered output if required and send to browser
//
if ( $do_gzip_compress )
{
	//
	// Borrowed from php.net!
	//
	$gzip_contents = ob_get_contents();
	ob_end_clean();

	$gzip_size = strlen($gzip_contents);
	$gzip_crc = crc32($gzip_contents);

	$gzip_contents = gzcompress($gzip_contents, 9);
	$gzip_contents = substr($gzip_contents, 0, strlen($gzip_contents) - 4);

	echo "\x1f\x8b\x08\x00\x00\x00\x00\x00";
	echo $gzip_contents;
	echo pack('V', $gzip_crc);
	echo pack('V', $gzip_size);
}

exit;

?>
